Update Domain Access Restrictions

Updates the domain access restrictions for the Tenant.

PUT
/v2/manage/restrictions/domain-access

Updates the domain access restrictions for the Tenant.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://api.loginradius.com/v2/manage/restrictions/domain-access" \  -H "Content-Type: application/json" \  -d '{    "Allowlist": [      "email@example.com",      "example.org"    ],    "Blocklist": [      "email@spam.com",      "malware.org"    ]  }'
{
  "Allowlist": [
    "email@example.com",
    "example.org"
  ],
  "Blocklist": [
    "email@spam.com",
    "malware.org"
  ]
}
{
  "ErrorCode": 1079,
  "Message": "Put body is invalid or empty",
  "Description": "Please use a valid put body in JSON format in order to process this request."
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}

{
  "ErrorCode": 8190,
  "Message": "Same domain or email cannot exist in both list.",
  "Description": "Same domain or email cannot exist in both list. Please add it to the appropriate list."
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}